Duplicate Automation
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"name": "<string>"
},
"type": "automations"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate"
payload = { "data": {
"attributes": { "name": "<string>" },
"type": "automations"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {attributes: {name: '<string>'}, type: 'automations'}})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'name' => '<string>'
],
'type' => 'automations'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"name\": \"<string>\"\n },\n \"type\": \"automations\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"name\": \"<string>\"\n },\n \"type\": \"automations\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"name\": \"<string>\"\n },\n \"type\": \"automations\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"current_version_id": "<string>",
"hub_id": "<string>",
"name": "<string>",
"re_entry_interval_seconds": 123,
"re_entry_mode": "<string>",
"settings": {},
"status": "<string>",
"team_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"subject_type": "contact"
},
"id": "<string>",
"links": {
"self": "<string>"
},
"type": "automations"
}
}automations
Duplicate Automation
Copy into a NEW independent draft, without changing the source or its runs.
Draft sources use stored input; other states use the current immutable snapshot. Copies start with a fresh re-entry ledger, so explicit activation can re-enroll original contacts even with re_entry_mode=never. Pause the original first to stop its new admissions; its existing runs continue.
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
automations
/
{automation_id}
/
duplicate
Duplicate Automation
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"name": "<string>"
},
"type": "automations"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate"
payload = { "data": {
"attributes": { "name": "<string>" },
"type": "automations"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {attributes: {name: '<string>'}, type: 'automations'}})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'name' => '<string>'
],
'type' => 'automations'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"name\": \"<string>\"\n },\n \"type\": \"automations\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"name\": \"<string>\"\n },\n \"type\": \"automations\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"name\": \"<string>\"\n },\n \"type\": \"automations\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"current_version_id": "<string>",
"hub_id": "<string>",
"name": "<string>",
"re_entry_interval_seconds": 123,
"re_entry_mode": "<string>",
"settings": {},
"status": "<string>",
"team_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"subject_type": "contact"
},
"id": "<string>",
"links": {
"self": "<string>"
},
"type": "automations"
}
}